<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProductosMpd extends Model
{
    use HasFactory;

    protected $table = 'productos_mpd';

    public function Producto()
    {
        return $this->belongsTo(Producto::class, 'product_id');
    }

    public function Insumo()
    {
        return $this->belongsTo(Insumo::class, 'insumo_id');
    }

    public function Trazabilidad()
    {
        return $this->belongsTo(Trazabilidad::class, 'trazabilidad_id');
    }
}
